unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, DBGrids, ComCtrls,
  ExtCtrls, Grids, Buttons, StdCtrls, Menus, PairSplitter, ValEdit, Types;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    Button1: TButton;
    Rot: TButton;
    Button3: TButton;
    CSVEXService: TMenuItem;
    DBGrid2: TDBGrid;
    Einstellungen: TMenuItem;
    IconMenu: TMenuItem;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    InfUeber: TMenuItem;
    Label1: TLabel;
    Label2: TLabel;
    MainMenu: TMainMenu;
    Memo1: TMemo;
    NamensListe: TMenuItem;
    PageControl1: TPageControl;
    PageControl3: TPageControl;
    PairSplitter1: TPairSplitter;
    PairSplitterSide1: TPairSplitterSide;
    PairSplitterSide2: TPairSplitterSide;
    Panel2: TPanel;
    Panel3: TPanel;
    Pdatakomp: TMenuItem;
    PulBearbeiten: TMenuItem;
    PulBeenden: TMenuItem;
    PulDatei: TMenuItem;
    PulExtras: TMenuItem;
    PulHilfe: TMenuItem;
    PulNeu: TMenuItem;
    StaticText1: TStaticText;
    StatusBar1: TStatusBar;
    StringGrid1: TStringGrid;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    TabSheet6: TTabSheet;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    Trenner: TMenuItem;
    ValueListEditor1: TValueListEditor;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure PageControl1Change(Sender: TObject);
    procedure PairSplitter1Resize(Sender: TObject);
    procedure RotClick(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;
  BildHgFarbe  : tImage;

implementation

{$R *.lfm}

{ TForm1 }


                    // Image1, Hintergrund Canvas füllung
procedure BildBbau(FormTImage, HintergrundFarbe : TImage; Farbe: TColor);
Var
   r1 : TRect;
Begin
  HintergrundFarbe.picture.Bitmap.Width := FormTImage.Width;
  HintergrundFarbe.picture.Bitmap.Height := FormTImage.Height;
  HintergrundFarbe.picture.Bitmap.Canvas.Brush.Style := bsSolid;
  HintergrundFarbe.Picture.Bitmap.Canvas.Brush.Color := Farbe;
  HintergrundFarbe.picture.Bitmap.Canvas.FillRect(0, 0, FormTImage.Width, FormTImage.Height);
  r1.Top := 0;
  r1.Left := 0;
  r1.Right := FormTImage.Picture.Bitmap.Width;
  r1.Bottom := FormTImage.Picture.Bitmap.Height;
  HintergrundFarbe.Canvas.StretchDraw(r1, FormTImage.Picture.Bitmap);
End;


procedure TForm1.FormCreate(Sender: TObject);
begin
  BildHgFarbe := TImage.Create(Self);
  BildBbau(Image1, BildHgFarbe, clSkyBlue);
end;


//*****************************************************
procedure TForm1.Button1Click(Sender: TObject);
begin
  BildBbau(Image1, BildHgFarbe, clBlue);
  //PairSplitter1.Color := clBlue;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  BildBbau(Image1, BildHgFarbe, clGreen);
  //PairSplitter1.Color := clGreen;
end;

procedure TForm1.RotClick(Sender: TObject);
begin
  BildBbau(Image1, BildHgFarbe, clRed);
  //PairSplitter1.Color := clRed;
end;
//*****************************************************

procedure TForm1.PageControl1Change(Sender: TObject);
begin
  if PageControl1.ActivePageIndex = 0 Then Label2.Visible:= True else Label2.Visible:= False;
end;


procedure TForm1.PairSplitter1Resize(Sender: TObject);
begin
 PairSplitterSide1.Width:=(Width div 2);
end;


end.

